Bug 674082 - Review Request: mchange-commons - A collection of general purpose utilities for c3p0
Review Request: mchange-commons - A collection of general purpose utilities f...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Sebastian Dziallas
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 675009
  Show dependency treegraph
 
Reported: 2011-01-31 10:37 EST by Mat Booth
Modified: 2011-06-21 13:06 EDT (History)
4 users (show)

See Also:
Fixed In Version: mchange-commons-0.2-0.3.20110130hg.fc15
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-21 13:06:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
sebastian: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Mat Booth 2011-01-31 10:37:35 EST
Spec URL: http://mbooth.fedorapeople.org/reviews/mchange-commons.spec
SRPM URL: http://mbooth.fedorapeople.org/reviews/mchange-commons-0.2-0.2.20110130hg.fc14.src.rpm
Description:
Originally part of c3p0, mchange-commons is a set of general purpose 
utilities.

Rpmlint output:
mchange-commons.noarch: W: no-documentation
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

(This project doesn't ship anything you can call documentation.)
Comment 1 Alexander Kurtakov 2011-01-31 10:48:14 EST
Is there a reason to not have javadoc subpackage?
Comment 2 Mat Booth 2011-01-31 11:13:19 EST
Not especially, just the ant script doesn't build them. c3p0 will probably be the only package that will be using this mchange-commons, do you think it's worth me patching the build?
Comment 3 Alexander Kurtakov 2011-01-31 11:17:35 EST
It's worth it at least for consistency sake. Our users are/should expect a javadoc subpackage to exist.
Comment 4 Mat Booth 2011-01-31 12:49:01 EST
Ok, now we build the Javadocs :-)

Spec URL: http://mbooth.fedorapeople.org/reviews/mchange-commons.spec
SRPM URL:
http://mbooth.fedorapeople.org/reviews/mchange-commons-0.3-0.2.20110130hg.fc14.src.rpm

Scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=2753386

Rpmlint:
mchange-commons.noarch: W: no-documentation
2 packages and 0 specfiles checked; 0 errors, 1 warnings.
Comment 5 Mat Booth 2011-01-31 12:50:01 EST
Sorry, typo in the srpm url:

Spec URL: http://mbooth.fedorapeople.org/reviews/mchange-commons.spec
SRPM URL:
http://mbooth.fedorapeople.org/reviews/mchange-commons-0.2-0.3.20110130hg.fc14.src.rpm

Scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=2753386

Rpmlint:
mchange-commons.noarch: W: no-documentation
2 packages and 0 specfiles checked; 0 errors, 1 warnings.
Comment 6 Mat Booth 2011-02-01 11:56:15 EST
I guess we shouldn't review this package (and c3p0) until we know what is going to happen upstream: https://github.com/ether/pad/issuesearch?state=open&q=c3p0#issue/219
Comment 7 Sebastian Dziallas 2011-04-09 13:42:40 EDT
Alright, given that both c3p0 and this work now well together, I think we're good to go, especially since it doesn't seem like upstream is moving immediately. Taking this.
Comment 8 Mat Booth 2011-04-16 05:12:04 EDT
Hi Sebastian,

Are you going to take 645009 as well?
Comment 9 Sebastian Dziallas 2011-04-17 21:58:33 EDT
Mat, when I get a spare minute, I will. :)

Here's the official review. It looks pretty good so far. Could you pull again from upstream to make sure we get the latest version and match upstream? Also, according to the guidelines, you 'should' query upstream to include the license file, but I'm not going to block on that.

Please pull the latest version and go ahead then.

Otherwise: APPROVED.

[  OK  ] specfiles match: 55b22670abfe91bcd3b25625d58da15b131f6f911f8ff37ffdb4644aa937ef73
[ FAIL ] source files match upstream:

2b7c533be6f083239cc215bf850d39cbf5b5cafd59e0b5cd2ee1126db3b219bf is the latest upstream
d2050642f67e7566e9878575e75ba81a973747c673079de605326d67594a1fda is being packaged

[  OK  ] package meets naming and versioning guidelines.
[  OK  ] spec is properly named, cleanly written, and uses macros consistently.
[  OK  ] dist tag is present.
[  NA  ] build root is correct.
[  OK  ] license field matches the actual license.
[  OK  ] license is open source-compatible.
[ FAIL ] license text included in package.
[  OK  ] latest version is being packaged.
[  OK  ] BuildRequires are proper.
[  NA  ] compiler flags are appropriate.
[  OK  ] %clean is present. 
[  OK  ] package builds in mock.
[  OK  ] package installs properly.
[  NA  ] debuginfo package looks complete.
[  OK  ] rpmlint is silent.

[sebastian@bear rpmbuild]$ rpmlint ./RPMS/noarch/mchange-commons-0.2-0.3.20110130hg.fc14.noarch.rpm 
mchange-commons.noarch: W: no-documentation
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

[  OK  ] final provides and requires are sane
[  NA  ] %check is present and all tests pass:
[  OK  ] no shared libraries are added to the regular linker search paths.
[  OK  ] owns the directories it creates. 
[  OK  ] doesn't own any directories it shouldn't.
[  OK  ] no duplicates in %files.
[  OK  ] file permissions are appropriate.
[  NA  ] scriptlets match those on ScriptletSnippets page.
[  OK  ] code, not content.
[  NA  ] documentation is small, so no -docs subpackage is necessary.
[  NA  ] %docs are not necessary for the proper functioning of the package.
[  OK  ] no headers.
[  OK  ] no pkgconfig files.
[  OK  ] no libtool .la droppings.
[  NA  ] desktop files valid and installed properly.
Comment 10 Mat Booth 2011-04-25 05:54:58 EDT
Thanks for the review, Sebastian.

There hasn't been a commit upstream in 11 months: http://c3p0.hg.sourceforge.net/hgweb/c3p0/

So I think we can safely say that we have the latest code. ;-)
Comment 11 Mat Booth 2011-04-25 05:57:59 EDT
I should also say, that because we generate our own tarball from the upstream source control, the md5sums will likely always be different due to timestamps. This is a common problem for packages whose upstream do not ship tarballs.
Comment 12 Mat Booth 2011-04-25 06:01:26 EDT
New Package SCM Request
=======================
Package Name: mchange-commons
Short Description: A collection of general purpose utilities for c3p0
Owners: mbooth
Branches: F-15
Comment 13 Jason Tibbitts 2011-04-25 13:01:13 EDT
Git done (by process-git-requests).
Comment 14 Fedora Update System 2011-06-09 16:55:41 EDT
mchange-commons-0.2-0.3.20110130hg.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/mchange-commons-0.2-0.3.20110130hg.fc15
Comment 15 Fedora Update System 2011-06-11 00:31:35 EDT
mchange-commons-0.2-0.3.20110130hg.fc15 has been pushed to the Fedora 15 testing repository.
Comment 16 Fedora Update System 2011-06-21 13:06:07 EDT
mchange-commons-0.2-0.3.20110130hg.fc15 has been pushed to the Fedora 15 stable repository.

Note You need to log in before you can comment on or make changes to this bug.